/////////////////////////////////////////////////////////////////////////////
//                                                                         //
//  Dorgem - Webcam Capture application                                    //
//  Copyright (C) 2001-2007 Frank Fesevur                                  //
//                                                                         //
//  This program is free software; you can redistribute it and/or modify   //
//  it under the terms of the GNU General Public License as published by   //
//  the Free Software Foundation; either version 2 of the License, or      //
//  (at your option) any later version.                                    //
//                                                                         //
//  This program is distributed in the hope that it will be useful,        //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of         //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the           //
//  GNU General Public License for more details.                           //
//                                                                         //
//  You should have received a copy of the GNU General Public License      //
//  along with this program; if not, write to the Free Software            //
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.              //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
// Common

#include "Dorgem.h"

wxString g_strXmlName             = wxT("Name");
wxString g_strXmlVersion          = wxT("Version");

/////////////////////////////////////////////////////////////////////////////
// Settings.xml, global program settings

wxString g_strXmlSettings         = wxT("Settings");

/////////////////////////////////////////////////////////////////////////////
// Profiles.xml

wxString g_strXmlProfiles         = wxT("Profiles");
wxString g_strXmlProfile          = wxT("Profile");
wxString g_strXmlType             = wxT("Type");
wxString g_strXmlEnabled          = wxT("Enabled");
wxString g_strXmlOrder            = wxT("Order");
wxString g_strXmlFile             = wxT("File");
wxString g_strXmlInterval         = wxT("Interval");
wxString g_strXmlResetTime        = wxT("ResetTime");
wxString g_strXmlCamera           = wxT("Camera");
wxString g_strXmlQuality          = wxT("Quality");

// Types
wxString g_strXmlFTP              = wxT("FTP");
wxString g_strXmlText             = wxT("Text");
wxString g_strXmlBitmap           = wxT("Bitmap");

// Captions
wxString g_strXmlCaption          = wxT("Caption");
wxString g_strXmlAbsolute         = wxT("Absolute");
wxString g_strXmlPosHor           = wxT("PosHor");
wxString g_strXmlPosVer           = wxT("PosVer");
wxString g_strXmlTransparent      = wxT("Transparent");
wxString g_strXmlShadow           = wxT("Shadow");
wxString g_strXmlRotate           = wxT("Rotate");
wxString g_strXmlMaxLength        = wxT("MaxLength");
wxString g_strXmlFilename         = wxT("Filename");
wxString g_strXmlFontName         = wxT("FontName");
wxString g_strXmlFontSize         = wxT("FontSize");
wxString g_strXmlFontWeight       = wxT("FontWeight");
wxString g_strXmlFontStyle        = wxT("FontStyle");
wxString g_strXmlFontUnderlined   = wxT("FontUnderlined");
wxString g_strXmlScalePercentage  = wxT("ScalePercentage");
wxString g_strXmlScaleX           = wxT("ScaleX");
wxString g_strXmlScaleY           = wxT("ScaleY");
wxString g_strXmlBackColor        = wxT("BackColor");
wxString g_strXmlForeColor        = wxT("ForeColor");

// Motion detection
wxString g_strXmlMotion           = wxT("Motion");
wxString g_strXmlSensitivity      = wxT("Sensitivity");

// CStoreFile
wxString g_strXmlCreateDirs       = wxT("CreateDirs");

// CStoreFTP
wxString g_strXmlHost             = wxT("Host");
wxString g_strXmlUser             = wxT("User");
wxString g_strXmlPassword         = wxT("Password");
wxString g_strXmlKeepOpen         = wxT("KeepOpen");
wxString g_strXmlPassive          = wxT("Passive");
