#ifndef __VIDEOWINDOW_H__
#define __VIDEOWINDOW_H__

/*
#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
    #pragma interface "wxvidcap.h"
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
*/

#include <wx/vidcap/vcapwin.h>

class CDorgemDlg;

class CVideoWindow: public wxVideoCaptureWindow
{
public:
  CVideoWindow(wxWindow *parent, wxWindowID id = -1,
               const wxPoint &pos = wxDefaultPosition,
               const wxSize &size = wxDefaultSize,
               long style = wxSIMPLE_BORDER,
               const wxString &name = wxT("wxvidcap"));

  virtual ~CVideoWindow();

  void OnVideoEvent( wxVideoCaptureEvent &event );
  void OnVideoStatusEvent( wxVideoCaptureEvent &event );
  void OnVideoFrameEvent( wxVideoCaptureEvent &event );
  void OnVideoStreamEvent( wxVideoCaptureEvent &event );
  void OnVideoErrorEvent( wxVideoCaptureEvent &event );

private:
  CDorgemDlg* m_frame;

  DECLARE_EVENT_TABLE()
};

#endif // __VIDEOWINDOW_H__
